
package test;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the test package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DemarrerGuidageResponse_QNAME = new QName("http://test/", "demarrer_guidageResponse");
    private final static QName _RecupererResultatGuidage_QNAME = new QName("http://test/", "recuperer_resultat_guidage");
    private final static QName _DemarrerGuidage_QNAME = new QName("http://test/", "demarrer_guidage");
    private final static QName _RecupererResultatGuidageResponse_QNAME = new QName("http://test/", "recuperer_resultat_guidageResponse");
    private final static QName _LireCodeErreur_QNAME = new QName("http://test/", "lire_code_erreur");
    private final static QName _LireCodeErreurResponse_QNAME = new QName("http://test/", "lire_code_erreurResponse");
    private final static QName _TesterEtatDemande_QNAME = new QName("http://test/", "tester_etat_demande");
    private final static QName _TesterEtatDemandeResponse_QNAME = new QName("http://test/", "tester_etat_demandeResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: test
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link LireCodeErreurResponse }
     * 
     */
    public LireCodeErreurResponse createLireCodeErreurResponse() {
        return new LireCodeErreurResponse();
    }

    /**
     * Create an instance of {@link TesterEtatDemandeResponse }
     * 
     */
    public TesterEtatDemandeResponse createTesterEtatDemandeResponse() {
        return new TesterEtatDemandeResponse();
    }

    /**
     * Create an instance of {@link RecupererResultatGuidage }
     * 
     */
    public RecupererResultatGuidage createRecupererResultatGuidage() {
        return new RecupererResultatGuidage();
    }

    /**
     * Create an instance of {@link LireCodeErreur }
     * 
     */
    public LireCodeErreur createLireCodeErreur() {
        return new LireCodeErreur();
    }

    /**
     * Create an instance of {@link DemarrerGuidage }
     * 
     */
    public DemarrerGuidage createDemarrerGuidage() {
        return new DemarrerGuidage();
    }

    /**
     * Create an instance of {@link DemarrerGuidageResponse }
     * 
     */
    public DemarrerGuidageResponse createDemarrerGuidageResponse() {
        return new DemarrerGuidageResponse();
    }

    /**
     * Create an instance of {@link RecupererResultatGuidageResponse }
     * 
     */
    public RecupererResultatGuidageResponse createRecupererResultatGuidageResponse() {
        return new RecupererResultatGuidageResponse();
    }

    /**
     * Create an instance of {@link TesterEtatDemande }
     * 
     */
    public TesterEtatDemande createTesterEtatDemande() {
        return new TesterEtatDemande();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DemarrerGuidageResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "demarrer_guidageResponse")
    public JAXBElement<DemarrerGuidageResponse> createDemarrerGuidageResponse(DemarrerGuidageResponse value) {
        return new JAXBElement<DemarrerGuidageResponse>(_DemarrerGuidageResponse_QNAME, DemarrerGuidageResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecupererResultatGuidage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "recuperer_resultat_guidage")
    public JAXBElement<RecupererResultatGuidage> createRecupererResultatGuidage(RecupererResultatGuidage value) {
        return new JAXBElement<RecupererResultatGuidage>(_RecupererResultatGuidage_QNAME, RecupererResultatGuidage.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DemarrerGuidage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "demarrer_guidage")
    public JAXBElement<DemarrerGuidage> createDemarrerGuidage(DemarrerGuidage value) {
        return new JAXBElement<DemarrerGuidage>(_DemarrerGuidage_QNAME, DemarrerGuidage.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecupererResultatGuidageResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "recuperer_resultat_guidageResponse")
    public JAXBElement<RecupererResultatGuidageResponse> createRecupererResultatGuidageResponse(RecupererResultatGuidageResponse value) {
        return new JAXBElement<RecupererResultatGuidageResponse>(_RecupererResultatGuidageResponse_QNAME, RecupererResultatGuidageResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LireCodeErreur }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "lire_code_erreur")
    public JAXBElement<LireCodeErreur> createLireCodeErreur(LireCodeErreur value) {
        return new JAXBElement<LireCodeErreur>(_LireCodeErreur_QNAME, LireCodeErreur.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LireCodeErreurResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "lire_code_erreurResponse")
    public JAXBElement<LireCodeErreurResponse> createLireCodeErreurResponse(LireCodeErreurResponse value) {
        return new JAXBElement<LireCodeErreurResponse>(_LireCodeErreurResponse_QNAME, LireCodeErreurResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TesterEtatDemande }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "tester_etat_demande")
    public JAXBElement<TesterEtatDemande> createTesterEtatDemande(TesterEtatDemande value) {
        return new JAXBElement<TesterEtatDemande>(_TesterEtatDemande_QNAME, TesterEtatDemande.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TesterEtatDemandeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://test/", name = "tester_etat_demandeResponse")
    public JAXBElement<TesterEtatDemandeResponse> createTesterEtatDemandeResponse(TesterEtatDemandeResponse value) {
        return new JAXBElement<TesterEtatDemandeResponse>(_TesterEtatDemandeResponse_QNAME, TesterEtatDemandeResponse.class, null, value);
    }

}
